### Constructor

# Dex Future all_race

#### Declaration [src]

    DexFuture*
    dex_future_all_race (
      DexFuture* first_future,
      ...
    )

#### Description [src]

Creates a new `DexFuture` that will resolve when all futures resolve or reject as soon as the first future rejects.

This method will return a `DexFutureSet` which provides API to get the exact values of the dependent futures. The value of the future will be propagated from the resolved or rejected future.

Since the futures race to complete, some futures retrieved with the `dex_future_set_get_future()` API will still be `DEX_FUTURE_STATUS_PENDING`.

This method is not directly available to language bindings.

#### Parameters

`first_future`

  Type: `DexFuture`

  A `DexFuture`.

  The called function takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  A `NULL` terminated list of futures.

#### Return value

Type: `DexFuture`

A `DexFutureSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.